List dashboards
GET
/v1/dashboard/
const url = 'https://example.com/v1/dashboard/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/dashboard/ \ --header 'Authorization: Bearer <token>'Return all dashboards for the current account.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”cursor
string
The pagination cursor value.
dashboard_type
Array<integer>
0- Custom1- Template
description
string
name
string
page_size
integer
Number of results to return per page.
search
string
A search term.
tags
string
Responses
Section titled “Responses”Media typeapplication/json
object
next
string format: uri
previous
string format: uri
results
required
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
account
required
string format: uuid
created_at
required
string format: date-time
created_by
required
string format: uuid
dashboard_type
0- Custom1- Template
integer
dashboardlayout
string format: uuid
description
string
id
required
string format: uuid
is_dashboard_k8s
required
For app mobile compatibility
boolean
is_dashboard_services
required
For app mobile compatibility
boolean
is_dashboard_stack
required
For app mobile compatibility
boolean
is_dashboard_system
required
boolean
is_dashboard_template
required
boolean
is_favorite
required
boolean
is_sandbox
required
boolean
min_step
required
string
modified_at
required
string format: date-time
modified_by
required
string format: uuid
name
required
string
tags
Array<object>
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
is_automatic
required
boolean
is_service_tag
required
boolean
name
required
string
tag_type
0- Automatic API1- Created by Glouton2- Created by frontend3- Automatic Glouton4- Automatic API for agent’s service10- No type
integer
tag_type_text
required
string
widgets
required
Array<string>
Example
{ "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"", "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3", "results": [ { "dashboard_type": 0, "tags": [ { "tag_type": 0 } ] } ]}